Skip to main content
GET
Python
Use the spec_id query parameter to filter runs by a specific red team spec.

Authorizations

Authorization
string
header
required

API Key authentication. Format: "Bearer YOUR_API_KEY"

Query Parameters

spec_id
string<uuid>

Filter runs by red team spec ID

Response

List of red team runs

id
string<uuid>
read-only

Unique identifier for the run

red_team_spec_id
string<uuid>

ID of the red team spec

spec_name
string
read-only

Name of the associated spec

number_of_behaviors
integer

Number of behaviors generated

number_of_prompts_per_behavior
integer

Number of prompts per behavior

model_name
string

Model used for generation

status
enum<string>

Current status of the run

Available options:
PENDING,
PROCESSING,
SUCCEEDED,
FAILED,
CANCELED
completed_at
string<date-time> | null

When the run completed

created_by_email
string
read-only

Email of the creator

created_at
string<date-time>
read-only

When the run was created